#include <Movies.h>
#include <Components.h>
#include <MediaHandlers.h>
#include <StdTTS.h>
#include <Speech.h>

#define 	_DEBUG_			0  
#define 	kGenericError	-1

/*
 PUT YOUR component info here if
 the client performs a default search.
*/
#define kMyManufacturer	'angs'

/*
	Set this as you deem necessary.
	It is used in MyVersionComponent
*/
#define kMyVersion		0x00010001


/*
 PUT YOUR Base component info here
*/
#define kCaptureComponentType 			MediaHandlerType
#define kCaptureComponentSubType		TextMediaType
#define kCaptureComponentManufacturer	'appl'
#define kCaptureComponentFlags			0
#define kCaptureComponentFlagsMask		0


typedef struct {

	ComponentInstance	self;				
	ComponentInstance	delegate;			// Apple Text Media Handler
	ComponentInstance	parent;				// Someone who captures us
	
	Media			coolMedia;
	Movie			coolMovie;
	
	Handle			textH;
	Handle			translatedTextH;
	
	SpeechChannel	coolSpeechChannel;
	StdTTSParams	coolTTSParams;
}	PrivateGlobals;


typedef struct {
	Component	delegateComponent;
}	SharedGlobals;